import CreditCardIcon from "@mui/icons-material/CreditCardOutlined";
import DebitCardIcon from "@mui/icons-material/LocalAtmOutlined";
import CashIcon from "@mui/icons-material/AttachMoneyOutlined";
import BankTransferIcon from "@mui/icons-material/AccountBalanceOutlined";
import UserAccountIcon from "@mui/icons-material/WalletOutlined";
import OtherPaymentIcon from "@mui/icons-material/ShoppingCartOutlined";
import { CLIENT_ACCOUNT_PAYMENT_METHODS } from "@core/Models/ClientAccountMovements.model";
import { PAYMENT_METHODS_CLIENT_ACCOUNT } from "@core/Models/Payments.model";

export const getPaymentIcon = (paymentMethod: string): React.ReactNode => {
    switch (paymentMethod) {
        case CLIENT_ACCOUNT_PAYMENT_METHODS.CASH:
            return <CashIcon color="success" />;
        case CLIENT_ACCOUNT_PAYMENT_METHODS.BANK_TRANSFER:
            return <BankTransferIcon color="success" />;
        case CLIENT_ACCOUNT_PAYMENT_METHODS.CREDIT_CARD:
            return <CreditCardIcon color="success" />;
        case CLIENT_ACCOUNT_PAYMENT_METHODS.DEBIT_CARD:
            return <DebitCardIcon color="success" />;
        case CLIENT_ACCOUNT_PAYMENT_METHODS.OTHER:
            return <OtherPaymentIcon color="success" />;
        case PAYMENT_METHODS_CLIENT_ACCOUNT.CLIENT_ACCOUNT:
            return <UserAccountIcon color="success" />;
        default:
            return <CashIcon />;
    }
};
